baseurl = "https://www.nancyflare.com/"
title = "Nancy's Portfolio"
theme = "hugo-creative-portfolio-theme"
languageCode = "en-us"
# Enable comments by entering your Disqus shortname
disqusShortname = ""
# Enable Google Analytics by entering your tracking code
googleAnalytics = ""

[params]
  selfHosted = true
  # Style options: default (pink), blue, green, pink, red, sea, violet
  # Use custom.css for your custom styling
  style = "sea" # Available options are: default (pink), blue, green, pink, red, sea, violet.
  description = "A simple portfolio for showcasing work. Made with love by Nancy Xue."
  copyright = "&copy;2024 Nancy Xue"
  sidebarAbout = [
    "I am a student of Parsons School of Design.",
    "Originally from China, currently based in United States."
  ]
  # Contact page
     # Since this template is static, the contact form uses www.formspree.io as a
     # proxy. The form makes a POST request to their servers to send the actual
     # email. Visitors can send up to a 1000 emails each month for free.
     #
     # What you need to do for the setup?
     #
     # - set your email address under 'email' below
     # - upload the generated site to your server
     # - send a dummy email yourself to confirm your account
     # - click the confirm link in the email from www.formspree.io
     # - you're done. Happy mailing!
  #email = "you@yoursite.com"

    # Optional Matomo analytics (formerly piwik)
      # [params.analytics.matomo]
      #  URL = "https://stats.example.com"
      #  ID = "42"
      #  # Track all subdomains with "*.example.com" (Optional)
      #  domain = "www.example.com"
      #  # Optional integrity check hash
      #  hash = ""

  # Nav links in the side bar
  [[params.navlinks]]
  name = "Home"
  url = "portfolio/"
  home = true
  [[params.navlinks]]
  name = "About"
  url = "about/"
  [[params.navlinks]]
  name = "Get in touch"
  url = "contact/"
  [params.social]
  #facebook      = "full page or profile url in facebook"
  #googleplus    = "full profile url in googleplus"
  email         = "xuey855@newschool.edu"
  #twitter       = "full profile url in twitter"
  linkedin      = "https://www.linkedin.com/in/yinan-xue-a04493291/"
  #stackoverflow = "full profile url in stackoverflow"
  instagram     = "https://www.instagram.com/yiiinannnnn/"
  #github        = "full profile url in github"
  #gitlab        = "full profile url in gitlab"
  #youtube       = "full profile url in youtube"
  #whatsapp      = "wa.me service link"

[markup]
  # Syntax Highlighting (https://gohugo.io/content-management/syntax-highlighting)
  [markup.highlight]
    ########## necessary configurations ##########
    # https://github.com/hugo-fixit/FixIt/issues/43
    codeFences = true
    lineNos = true
    lineNumbersInTable = true
    noClasses = false
    ########## necessary configurations ##########
    guessSyntax = true
  # Goldmark is from Hugo 0.60 the default library used for Markdown
  [markup.goldmark]
    [markup.goldmark.extensions]
      definitionList = true
      footnote = true
      linkify = true
      strikethrough = true
      table = true
      taskList = true
      typographer = true
    [markup.goldmark.renderer]
      # whether to use HTML tags directly in the document
      unsafe = true

[outputs]
  home = ["HTML", "RSS", "JSON"]
  page = ["HTML", "MarkDown"]
  section = ["HTML", "RSS"]
  taxonomy = ["HTML"]
  term = ["HTML", "RSS"]